# QToolTipGroup Class Reference

The QToolTipGroup class collects tool tips into natural groups. More...

`#include <qtooltip.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QToolTipGroup ( QObject * parent, const char * name = 0 )
- ~QToolTipGroup ()

## Signals

- void showTip ( const char * )
- void removeTip ()

## Detailed Description

The QToolTipGroup class collects tool tips into natural groups.

Tool tips can display two texts, the one in the tip and optionally another one, typically in a status bar. QToolTipGroup provides a way to link tool tips to this status bar.

QToolTipGroup has practically no API, it is only used as an argument to QToolTip's member functions, for example like this:

        QToolTipGroup * g = new QToolTipGroup( this, "tool tip relay" );
        connect( g, SIGNAL(showTip(const char *)),
                 myLabel, SLOT(setText(const char *)) );
        connect( g, SIGNAL(removeTip()),
                 myLabel, SLOT(clear()) );
        QToolTip::add( giraffeButton, "feed giraffe",
                       g, "Give the giraffe a meal" );
        QToolTip::add( gorillaButton, "feed gorilla",
                       g, "Give the gorilla a meal" );

This example makes the object myLabel (which you have to supply) display (one assumes, though you can make myLabel do anything, of course) the strings "Give the giraffe a meal" and "Give the gorilla a meal" while the relevant tool tips are being displayed.

Deleting a tool tip group removes the tool tips in it.

## Member Function Documentation

### QToolTipGroup::QToolTipGroup ( QObject * parent, const char * name = 0 )

Constructs a tool tip group.

### QToolTipGroup::~QToolTipGroup ()

Destroy this tool tip groups and all tool tips in it.

### void QToolTipGroup::removeTip () `[signal]`

This signal is emitted when a tool tip in this group is hidden. See the QToolTipGroup documentation for an example of use.

See also: showTip().

### void QToolTipGroup::showTip ( const char * longText ) `[signal]`

This signal is emitted when one of the tool tips in the group is displayed. longText is the supplementary text for the displayed tool tip.

See also: removeTip().

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qtooltip.h: 1998/08/19
- qtooltip.cpp: 1998/08/31